/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.core;

import java.util.Date;
import com.silverwrist.venice.security.Audit;

public interface AuditData extends Audit
{
  public static final int DATA_COUNT = 4;

  public abstract long getRecord();

  public abstract Date getDateTime();

  public abstract int getType();

  public abstract int getUID();

  public abstract int getCommunityID();

  public abstract String getIPAddress();

  public abstract String getData(int ndx);

  public abstract String getDescription();

  public abstract String getUserName();

  public abstract String getCommunityName();

} // end interface AuditData
